// package source;

import java.util.*;
import java.io.*;

public class TestDatei {

   public static void main(String[] args) {
      String s ;
      TestDatei test = new TestDatei() ;
      
      s = test.readFileBR(new File("Beispiel.txt")) ;
      System.out.println("Es wurde eingelesen:");
      System.out.println(s);
      
      test.writeFileBW(new File("Ausgabe.txt"), s);
   }
   
   public String readFileC(File datei) {
      FileReader iDatei ;
      int iChar;
      char zeichen ;
      boolean eof = false;
      StringBuffer puffer = new StringBuffer(200);
      String erg = "";

      try {
         iDatei = new FileReader(datei);
         iChar = iDatei.read();
         eof = iChar == -1;

         while (!eof) {
            zeichen = (char) iChar;
            puffer.append(zeichen);
            iChar = iDatei.read();
            eof = iChar == -1;
         }
         erg = puffer.toString();
         iDatei.close();
      }
      catch(IOException ioe) {
         // Sonst irgendwas ist schiefgegangen
         System.out.println("Fehler beim Lesen der Datei " + datei.getName());
      }

      return erg;
   }

   public String readFileBR(File datei) {
      FileReader iDatei ;
      BufferedReader ibDatei ;
      String zeile ;
      String CR_LF = new String(System.getProperty("line.separator"));
      boolean eof = false;
      StringBuffer puffer = new StringBuffer(200);
      String erg = "";

      try {
         iDatei = new FileReader(datei);
         ibDatei = new BufferedReader(iDatei) ;
         zeile = ibDatei.readLine();
         eof = zeile == null ;

         while (!eof) {
            puffer.append(zeile + CR_LF);
            zeile = ibDatei.readLine();
            
            if (zeile == null) System.out.println("EOF erreicht!");
            eof = zeile == null ;
         }

         erg = puffer.toString();
         ibDatei.close();
      }
      catch(IOException ioe) {
         // Sonst irgendwas ist schiefgegangen
         System.out.println("Fehler beim Lesen der Datei " + datei.getName());
      }

      return erg;
   }
   
   public void writeFileBW(File datei, String textPuffer) {
      BufferedWriter obDatei ;
      FileWriter oDatei;

      try {
         oDatei = new FileWriter(datei);
         obDatei = new BufferedWriter(oDatei) ;

         obDatei.write(textPuffer) ;
         obDatei.flush();
         oDatei.close();
      }
      catch(IOException ioe) {
         // Sonst irgendwas ist schiefgegangen
         System.out.println("Fehler beim Schreiben der Datei " + datei.getName());
      }
   }
}


